org.keycloak.exportimport.util

## Class ImportUtils

- java.lang.Object
- - org.keycloak.exportimport.util.ImportUtils

-     public class ImportUtils
      extends Object

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `importFromStream(KeycloakSession session, org.codehaus.jackson.map.ObjectMapper mapper, InputStream is, Strategy strategy)` Fully import realm (or more realms from particular stream)
    `static RealmModel` | `importRealm(KeycloakSession session, RealmRepresentation rep, Strategy strategy)` Fully import realm from representation, save it to model and return model of newly created realm
    `static void` | `importUsersFromStream(KeycloakSession session, String realmName, org.codehaus.jackson.map.ObjectMapper mapper, InputStream is)`
    `static void` | `setupMasterAdminManagement(RealmProvider model, RealmModel realm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImportUtils

          public ImportUtils()

  - ### Method Detail

    - #### importRealm

          public static RealmModel importRealm(KeycloakSession session,
                               RealmRepresentation rep,
                               Strategy strategy)

      Fully import realm from representation, save it to model and return model of newly created realm
      Parameters:
        `session` -
        `rep` -
        `strategy` - specifies whether to overwrite or ignore existing realm or user entries
      Returns:
        newly imported realm (or existing realm if ignoreExisting is true and realm of this name already exists)

    - #### setupMasterAdminManagement

          public static void setupMasterAdminManagement(RealmProvider model,
                                        RealmModel realm)

    - #### importFromStream

          public static void importFromStream(KeycloakSession session,
                              org.codehaus.jackson.map.ObjectMapper mapper,
                              InputStream is,
                              Strategy strategy)
                                       throws IOException

      Fully import realm (or more realms from particular stream)
      Parameters:
        `session` -
        `mapper` -
        `is` -
        `strategy` -
      Throws:
        `IOException`

    - #### importUsersFromStream

          public static void importUsersFromStream(KeycloakSession session,
                                   String realmName,
                                   org.codehaus.jackson.map.ObjectMapper mapper,
                                   InputStream is)
                                            throws IOException

      Throws:
        `IOException`

Copyright © 2014. All Rights Reserved.